LIBVDEPLUG_VXVDE(1)

NAME
libvdeplug_vxvde - vdeplug module for vde_switch based networks

SYNOPSIS
libvdeplug_vxvde.so

DESCRIPTION
This is the libvdeplug module to join vxvde networks. Vxvde is a distributed implementation of virtual networks. There is no need for extra processes like virtual switches.

This module of libvdeplug4 can be used in any program supporting vde like vde_plug, kvm, qemu, user-mode-linux and virtualbox.

The vde_plug_url syntax of this module is the following:
    vxvde://[multicast_addr][/OPTION][/OPTION]

If multicast_addr is omitted libvdeplug_vxvde uses the default addresses: 239.0.0.1 for IPv4 and ff05:56de::1 for IPv6.

OPTIONS

v4  use IPv4

v6  use IPv6

port=PORT
    define the multicast port (default value 14789)

vni=VNI
    define the virtual network identifier (default value 1). (a group name can be used as VNI, in that case the vni is the group id).

ttl=TTL
    define the time-to-live (default value 1).

grp=group_name_or_number
    Set the VNI and the last three bytes of the IP address to the group id.

hashsize=HASHSIZE
    set the size of the hash table for packet switching

expiretime=EXPIRETIME
    set the maximum age in seconds of valid packet switching entries

if=INTERFACE
    set the (real) network interface to use.

EXAMPLES
vxvde://239.0.0.1
This vde_plug_url refers to the vxvde network defined on the multicast address 239.0.0.1, vni=1.

Programs using
vxvde://ff15::3/port=12345/vni=42
join the same vxvde network defined by the multicast address ff15::1, port 12345, vni is 42.

NOTICE
Virtual Distributed Ethernet is not related in any way with www.vde.com ("Verband der Elektrotechnik, Elektronik und Informationstechnik" i.e. the German "Association for Electrical, Electronic & Information Technologies").

SEE ALSO
vde_plug(1),